package org.linlinjava.jz.db.dao;

import java.time.LocalDateTime;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.linlinjava.jz.db.domain.HmEmployRelation;
import org.linlinjava.jz.db.dto.hm.EmployListDto;

public interface HmEmployRelationMappers {

	List<HmEmployRelation> selectByRelationUserId(Long userId);

	List<EmployListDto> selectEmployLis(@Param("userButlerId") Long userButlerId
			, @Param("queryStr") String queryStr,@Param("userId") Integer userId);
	
	Long selectButlerCustomerCount(@Param("userButlerId") Long userButlerId,@Param("userId") Integer userId);

	Integer selectGtTwentyFour(@Param("userButlerId") Long userButlerId,
			@Param("expirationTime") LocalDateTime expirationTime);

	Integer selectCurrentDay(@Param("userButlerId") Long userButlerId,
			@Param("expirationTimeSt") LocalDateTime expirationTimeSt,
			@Param("expirationTimeEd") LocalDateTime expirationTimeEd);
	
	Integer selectTaskTimeOut(@Param("sysUserId")String sysUserId,@Param("expirationTime") LocalDateTime expirationTime);
	
	Integer selectTaskNeedComplate(@Param("sysUserId")String sysUserId);
}